/*
 * Ant.java
 *
 * Created on 21 mai 2005, 15:02
 */

package examples;

import java.awt.Image;
import modelling.Selector;
import sema.Element;
import sema.World;

/**
 *
 * @author Boris
 */
public class Ant extends RandomGoalsAgent{
    
    public static class AntSelector extends Selector{
        public boolean isFiting(Element e){
            if (e.getKind().equals("ant")) return false;
            return true;
        }
    }
    
    
    /** Creates a new instance of Ant */
    public Ant(World world,float x, float y, Image image) {
        super(world, new examples.RectangularArea2(world.map, x,y,1,1),1,image, .5f, new AntSelector());
        setKind("ant");
    }
    
}
